Texa Desk Application API · Inboxes
List all inboxes
GET/
List all inboxes available in the current account
Authorization
api_access_tokenheaderrequiredA person's access token (Texa Desk, Profile settings → Access token) or an agent bot's token, in the api_access_token header. It acts as that person, with their role's permissions.
Path parameters
account_idintegerrequiredThe numeric ID of the account
Responses
200Success
payloadarray of objectArray of inboxes
payload[].idnumberID of the inbox
payload[].namestringThe name of the inbox
payload[].website_urlstringWebsite URL
payload[].page_idstringFacebook Page ID associated with the inbox
payload[].instagram_idstringInstagram account ID associated with the inbox
payload[].business_idstringTikTok business ID associated with the inbox
payload[].provider_namestringProvider username or page name associated with the social inbox
payload[].profile_idstringX profile ID associated with the inbox
payload[].line_channel_idstringLINE channel ID associated with the inbox
payload[].emailstringEmail address associated with the inbox
payload[].bot_namestringTelegram bot name associated with the inbox
payload[].inbox_identifierstringPublic identifier associated with an API inbox
payload[].channel_typestringThe type of the inbox
payload[].avatar_urlstringThe avatar image of the inbox
payload[].widget_colorstringWidget Color used for customization of the widget
payload[].website_tokenstringWebsite Token
payload[].enable_auto_assignmentbooleanThe flag which shows whether Auto Assignment is enabled or not
payload[].web_widget_scriptstringScript used to load the website widget
payload[].welcome_titlestringWelcome title to be displayed on the widget
payload[].welcome_taglinestringWelcome tagline to be displayed on the widget
payload[].greeting_enabledbooleanThe flag which shows whether greeting is enabled
payload[].greeting_messagestringA greeting message when the user starts the conversation
payload[].channel_idnumberID of the channel this inbox belongs to
payload[].working_hours_enabledbooleanThe flag which shows whether working hours feature is enabled
payload[].enable_email_collectbooleanThe flag to enable collecting email from contacts
payload[].csat_survey_enabledbooleanThe flag to enable CSAT survey
payload[].auto_assignment_configobjectConfiguration settings for auto assignment
payload[].out_of_office_messagestringMessage to show when agents are out of office
payload[].working_hoursarray of objectConfiguration for working hours of the inbox
payload[].working_hours[].day_of_weeknumberDay of the week (0-6, where 0 is Sunday)
payload[].working_hours[].closed_all_daybooleanWhether the inbox is closed for the entire day
payload[].working_hours[].open_hournumberHour when inbox opens (0-23)
payload[].working_hours[].open_minutesnumberMinutes of the hour when inbox opens (0-59)
payload[].working_hours[].close_hournumberHour when inbox closes (0-23)
payload[].working_hours[].close_minutesnumberMinutes of the hour when inbox closes (0-59)
payload[].working_hours[].open_all_daybooleanWhether the inbox is open for the entire day
payload[].timezonestringTimezone configuration for the inbox
payload[].callback_webhook_urlstringWebhook URL for callbacks
payload[].allow_messages_after_resolvedbooleanWhether to allow messages after a conversation is resolved
payload[].lock_to_single_conversationbooleanWhether to lock a contact to a single conversation
payload[].sender_name_typestringType of sender name to display (e.g., friendly)
payload[].business_namestringBusiness name associated with the inbox
payload[].branded_email_layoutstringLiquid HTML layout for branded email replies. Available to administrators for Email inbox show/update responses.
payload[].hmac_mandatorybooleanWhether HMAC verification is mandatory
payload[].selected_feature_flagsarray of stringSelected feature flags for the inbox
payload[].reply_timestringExpected reply time
payload[].messaging_service_sidstringMessaging service SID for SMS providers
payload[].phone_numberstringPhone number associated with the inbox
payload[].mediumstringMedium of communication (e.g., sms, email)
payload[].providerstringProvider of the channel
404Inbox not found
descriptionstringerrorsarray of objecterrors[].fieldstringerrors[].messagestringerrors[].codestring403Access denied
descriptionstringerrorsarray of objecterrors[].fieldstringerrors[].messagestringerrors[].codestring